package com.fly.game.llk;

import java.awt.Graphics;
import java.util.ArrayList;

import javax.swing.JFrame;

public class GameUI {
	
	
	
	
	/**
	 * 初始化游戏界面
	 */
	public void init(){
		
		
		//创建窗体以及设置相关属性
		JFrame jf = new JFrame();
		jf.setTitle("美女连连看");
		jf.setSize(520, 550);
		jf.setDefaultCloseOperation(3);
		jf.setLocationRelativeTo(null);
		jf.setResizable(false);
		
		//游戏主体
		GameBody body = new GameBody();
		jf.add(body);
		jf.setVisible(true);
		
		//添加监听器
		body.addMouseListener(new GameListener(body.getData(),body));
		
	}
	
	
	public static void main(String arg[]){
		GameUI llk = new GameUI();
		llk.init();
		System.out.println();
	}

}



class PointArr{
	final int SIZE = 50;
	ArrayList<Integer> array = new ArrayList<Integer>();
	public void push(int x,int y){
		array.add(x);
		array.add(y);
	}
	
	public void clear(){
		while(array.size()>0){
			array.remove(0);
		}
	}
	
	public void drawAll(Graphics g){
		int x1= array.remove(0);
		int y1= array.remove(0);
		int x2= array.remove(0);
		int y2= array.remove(0);
		
		g.drawLine( (x1*SIZE)+SIZE/2, (y1*SIZE)+SIZE/2, (x2*SIZE)+SIZE/2, (y2*SIZE)+SIZE/2);
		while(array.size()>0){
			x2= array.remove(0);
			y2= array.remove(0);
			g.drawLine( (x1*SIZE)+SIZE/2, (y1*SIZE)+SIZE/2, (x2*SIZE)+SIZE/2, (y2*SIZE)+SIZE/2);
			x1 = x2;
			y1 = y2;
		}
	}
	
}

